Bug 168178 - Review request: perl-Class-Autouse - Run-time class loading on first method call
Summary: Review request: perl-Class-Autouse - Run-time class loading on first method call
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-Aut...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT 168213
TreeView+ depends on / blocked
 
Reported: 2005-09-13 09:11 UTC by Ralf Corsepius
Modified: 2008-06-16 15:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 18:14:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2005-09-13 09:11:19 UTC
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Class-Autouse.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Class-Autouse-1.20-1.src.rpm

Description:
Class::Autouse allows you to specify a class the will only load when a
method of that class is called. For large classes that might not be used
during the running of a program, such as Date::Manip, this can save you
large amounts of memory, and decrease the script load time.

Comment 1 Jose Pedro Oliveira 2005-09-15 01:42:52 UTC
APPROVED

MD5SUMS:
af80dc0e4737a00fead18380c70fa3ca  perl-Class-Autouse-1.20-1.src.rpm

746a4f415dd8c7267bcec07841022275
746a4f415dd8c7267bcec07841022275  Class-Autouse-1.20.tar.gz
c16f62a4fffa4b45795b3eb9308f6ff5  perl-Class-Autouse.spec

Good:
* Package name follows standard
* Tarball MD5 digest verified against CPAN copy
* URL and Source url are valid
* License verified and included
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are valid
* Builds without problems in FC3 and FC4


Potential improvements:

* add the optional build requirement: perl(prefork)
    ...
    t/03_prefork......skipped
        all skipped: prefork.pm is not installed
    t/04_recursive....ok
    ...

    Please add at least this one after importing the package to CVS.

* drop the README file (same content as in the main POD document)

* drop the following superflous build requirments (since perl 5.8.1 at least):

    BuildRequires: »···perl(Test::More) >= 0.47
    BuildRequires: »···perl(File::Spec) >= 0.82
    BuildRequires: »···perl(List::Util) >= 1.11



Comment 2 Jose Pedro Oliveira 2005-09-15 18:14:29 UTC
Closing ticket.  Just pushed into the mirrors.

Comment 3 Ian Burrell 2008-06-13 23:25:00 UTC
Package Change Request
======================
Package Name: perl-Class-Autouse
New Branches: EL-4 EL-5
Updated EPEL Owners: iburrell



Comment 4 Kevin Fenzi 2008-06-16 15:56:26 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.